<?php
/**
 * Additional/overwritten configuration parts
 *
 * @author		Roland Haeder <webmaster@ship-simu.org>
 * @version		0.0.0
 * @copyright	Copyright(c) 2007, 2008 Roland Haeder, this is free software
 * @license		GNU GPL 3.0 or any newer version
 * @link		http://www.ship-simu.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

// Get a configuration instance for shorter lines
$cfg = FrameworkConfiguration::getInstance();

// CFG: DEFAULT-COMMAND
$cfg->setConfigEntry('default_command', "home");

// CFG: HOME-WITH-NEWS
$cfg->setConfigEntry('home_with_news', "Y");

// CFG: FORM-ACTION
$cfg->setConfigEntry('form_action', "index.php?app={?app_short_name?}&amp;page=do_form");

// CFG: FORM-METHOD
$cfg->setConfigEntry('form_method', "post");

// CFG: FORM-TARGET
$cfg->setConfigEntry('form_target', "_self");

// CFG: REGISTER-REQUIRES-EMAIL
$cfg->setConfigEntry('register_requires_email', "Y");

// CFG: REGISTER-INCLUDES-PROFILE
$cfg->setConfigEntry('register_includes_profile', "Y");

// CFG: REGISTER-PERSONAL-DATA
$cfg->setConfigEntry('register_personal_data', "Y");

// CFG: REGISTER-EMAIL-UNIQUE
$cfg->setConfigEntry('register_email_unique', "Y");

// CFG: CHAT-ENABLED-ICQ
$cfg->setConfigEntry('chat_enabled_icq', "Y");

// CFG: CHAT-ENABLED-JABBER
$cfg->setConfigEntry('chat_enabled_jabber', "Y");

// CFG: CHAT-ENABLED-YAHOO
$cfg->setConfigEntry('chat_enabled_yahoo', "Y");

// CFG: CHAT-ENABLED-AOL
$cfg->setConfigEntry('chat_enabled_aol', "Y");

// CFG: CHAT-ENABLED-MSN
$cfg->setConfigEntry('chat_enabled_msn', "Y");

// CFG: COMMAND-PARAMETER
$cfg->setConfigEntry('command_parameter', "page");

// CFG: USER-REGISTRATION
$cfg->setConfigEntry('user_registration', "ShipSimuRegistration");

// CFG: LOGIN-USER
$cfg->setConfigEntry('login_user', "ShipSimuUserLogin");

// CFG: USER-STATUS-REGISTER
$cfg->setConfigEntry('user_status_register', "UNCONFIRMED");

// CFG: LOGIN-HELPER
$cfg->setConfigEntry('login_helper', "ShipSimuLoginHelper");

// [EOF]
?>
